Bug 73917 - [Qt][WK2] fast/forms/access-key-for-all-elements.html fails
: [Qt][WK2] fast/forms/access-key-for-all-elements.html fails
Status: RESOLVED FIXED
: WebKit
Tools / Tests
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To:
:
: Qt, QtTriaged
:
: 71854 87008
  Show dependency treegraph
 
Reported: 2011-12-06 06:08 PST by
Modified: 2012-09-13 09:07 PST (History)


Attachments
Implement user agent string (8.62 KB, patch)
2012-01-19 16:05 PST, Lauro Moura Maranhao Neto
no flags Review Patch | Details | Formatted Diff | Diff
Add shared user agent implementation for Qt (21.79 KB, patch)
2012-05-23 12:29 PST, Lauro Moura Maranhao Neto
no flags Review Patch | Details | Formatted Diff | Diff
Add shared user agent implementation for Qt. Fixed copyright. (21.24 KB, patch)
2012-05-23 14:25 PST, Lauro Moura Maranhao Neto
no flags Review Patch | Details | Formatted Diff | Diff
Patch (14.04 KB, patch)
2012-05-31 08:17 PST, Marcelo Lira
no flags Review Patch | Details | Formatted Diff | Diff
Patch (21.14 KB, patch)
2012-05-31 09:50 PST, Marcelo Lira
no flags Review Patch | Details | Formatted Diff | Diff
Patch (21.17 KB, patch)
2012-09-13 07:29 PST, Lauro Moura Maranhao Neto
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-12-06 06:08:11 PST
fast/forms/access-key-for-all-elements.html 
introduced in r100805 and it fails on Qt-WK2

--- /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/fast/forms/access-key-for-all-elements-expected.txt 
+++ /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/fast/forms/access-key-for-all-elements-actual.txt 
@@ -6,602 +6,602 @@
 Check for A tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for ABBR tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for ACRONYM tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for ADDRESS tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for APPLET tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for AREA tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for ARTICLE tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for ASIDE tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for AUDIO tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for B tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for BASE tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for BASEFONT tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for BDO tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for BGSOUND tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for BIG tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for BLOCKQUOTE tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for BODY tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for BR tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for CANVAS tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for CAPTION tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for CENTER tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for CITE tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for CODE tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for COL tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for COLGROUP tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for COMMAND tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for DATALIST tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for DD tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for DEL tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for DETAILS tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for DFN tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for DIR tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for DIV tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for DL tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for DT tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for EM tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for EMBED tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for FIELDSET tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for FIGCAPTION tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for FIGURE tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for FONT tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for FOOTER tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for FORM tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for FRAME tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for FRAMESET tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for H1 tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for H2 tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for H3 tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for H4 tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for H5 tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for H6 tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for HEAD tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for HEADER tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for HGROUP tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for HR tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for HTML tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for I tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for IFRAME tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for IMG tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for INS tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for KBD tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for KEYGEN tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for LABEL tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for LAYER tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for LI tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for LINK tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for LISTING tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for MAP tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for MARK tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for MARQUEE tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for MENU tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for META tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for METER tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for NAV tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for NOBR tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for NOEMBED tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for NOFRAMES tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for NOLAYER tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for NOSCRIPT tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for OBJECT tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for OL tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for OUTPUT tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for P tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for PARAM tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for PLAINTEXT tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for PRE tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for PROGRESS tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for Q tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for RP tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for RT tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for RUBY tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for S tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for SAMP tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for SCRIPT tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for SECTION tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for SMALL tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for SOURCE tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for SPAN tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for STRIKE tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for STRONG tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for STYLE tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for SUB tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for SUMMARY tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for SUP tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for TABLE tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for TBODY tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for TD tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for TFOOT tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for TH tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for THEAD tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for TITLE tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for TR tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for TRACK tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for TT tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for U tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for UL tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for VAR tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for VIDEO tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for WBR tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 Check for XMP tag
 PASS testElement.accessKey is defined.
 PASS testElement.accessKey ='k'; testElement.accessKey == 'k' is true
-PASS pressKey(testElement.accessKey);[clicked, focused] is [true, false]
+FAIL pressKey(testElement.accessKey);[clicked, focused] should be true,false. Was false,false.

 PASS successfullyParsed is true
------- Comment #1 From 2011-12-06 06:14:53 PST -------
I skipped it: http://trac.webkit.org/changeset/102129
------- Comment #2 From 2012-01-19 16:05:40 PST -------
Created an attachment (id=123218) [details]
Implement user agent string

Acces key tests were failing due to hardcoded Mac OS X in the user agent
------- Comment #3 From 2012-01-23 07:52:24 PST -------
(From update of attachment 123218 [details])
This is copy-paste from QWebPage::userAgentForUrl. Please refactor into one shared implementation.
------- Comment #4 From 2012-05-23 12:29:33 PST -------
Created an attachment (id=143616) [details]
Add shared user agent implementation for Qt
------- Comment #5 From 2012-05-23 13:50:33 PST -------
(From update of attachment 143616 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=143616&action=review

> Source/WebCore/platform/qt/UserAgentQt.cpp:19
> + * Copyright (C) 2007 Apple Inc.  All rights reserved.
> + * Copyright (C) 2006, 2007 Apple Inc.  All rights reserved.
> + * Copyright (C) 2008 Nokia Corporation and/or its subsidiary(-ies)
> + * Copyright (C) 2010 Sencha, Inc. All rights reserved.
> + *
> + * Redistribution and use in source and binary forms, with or without
> + * modification, are permitted provided that the following conditions
> + * are met:
> + * 1. Redistributions of source code must retain the above copyright
> + *    notice, this list of conditions and the following disclaimer.
> + * 2. Redistributions in binary form must reproduce the above copyright
> + *    notice, this list of conditions and the following disclaimer in the
> + *    documentation and/or other materials provided with the distribution.
> + *
> + * THIS SOFTWARE IS PROVIDED BY APPLE COMPUTER, INC. ``AS IS'' AND ANY
> + * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
> + * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
> + * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE COMPUTER, INC. OR

This code comes from qwebpage.cpp, where the copyright notice says Nokia, Staikos and Apple. The license is LGPL 2. The file you're adding has a different set of authors and also a different license. Why is that?
------- Comment #6 From 2012-05-23 14:25:43 PST -------
Created an attachment (id=143652) [details]
Add shared user agent implementation for Qt. Fixed copyright.

Using the qwebpage copyright on the newly created files.
------- Comment #7 From 2012-05-25 00:01:44 PST -------
(From update of attachment 143652 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=143652&action=review

> Source/WebCore/platform/qt/UserAgentQt.cpp:29
> +#include <WebCore/SystemInfo.h>

This doesn't look correct... Why did you add the prefix?

> Source/WebCore/platform/qt/UserAgentQt.cpp:31
> +#include <WebKitVersion.h>

This I think is the main issue that's left with this patch/approach and I don't see a good way around it. It's a layer violation to call WebKit from within WebCore and in fact it's going to break the force_static_libs_as_shared build.

It doesn't quite feel right to move the WebKit version stuff also into WebCore, making me think that perhaps we need another static library for code that's shared between WebKit1 and WebKit2.
------- Comment #8 From 2012-05-26 01:57:12 PST -------
(From update of attachment 143652 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=143652&action=review

> Source/WebCore/platform/qt/UserAgentQt.cpp:160
> +        // TODO: using macros from WebKit1 until WebKit2 Qt port versioning is sorted out.

We use FIXME not TODO :-)

> Source/WebCore/platform/qt/UserAgentQt.h:28
> +    static String standardUserAgent(const String &applicationNameForUserAgent);

defaultUserAgentString makes more sense. The "user agent" is actually the embedding application.

defaultUserAgentString(const String& userAgentName)
------- Comment #9 From 2012-05-31 08:17:52 PST -------
Created an attachment (id=145097) [details]
Patch
------- Comment #10 From 2012-05-31 08:19:38 PST -------
(In reply to comment #8)
> (From update of attachment 143652 [details] [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=143652&action=review
> 
> > Source/WebCore/platform/qt/UserAgentQt.cpp:160
> > +        // TODO: using macros from WebKit1 until WebKit2 Qt port versioning is sorted out.
> 
> We use FIXME not TODO :-)
> 
> > Source/WebCore/platform/qt/UserAgentQt.h:28
> > +    static String standardUserAgent(const String &applicationNameForUserAgent);
> 
> defaultUserAgentString makes more sense. The "user agent" is actually the embedding application.
> 
> defaultUserAgentString(const String& userAgentName)

(/me on behalf of Lauro, who is in on his holidays)
Kenneth, I left UserAgentQt::standardUserAgent as it was because it follows the naming on WebPageProxy::standardUserAgent.
------- Comment #11 From 2012-05-31 08:43:07 PST -------
(From update of attachment 145097 [details])
Attachment 145097 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/12866255
------- Comment #12 From 2012-05-31 09:09:28 PST -------
(From update of attachment 145097 [details])
Attachment 145097 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12873001
------- Comment #13 From 2012-05-31 09:50:56 PST -------
Created an attachment (id=145108) [details]
Patch
------- Comment #14 From 2012-06-27 23:07:16 PST -------
(From update of attachment 145108 [details])
My comment remains about the incorrect layering, so r-.

What if we moved the WebKit version parsing and also this user agent code to the WebKit2 static library and used it from WebKit1?
------- Comment #15 From 2012-09-13 07:29:05 PST -------
Created an attachment (id=163865) [details]
Patch

Updated the patch by passing the version as argument to the useragent function.
------- Comment #16 From 2012-09-13 08:33:38 PST -------
(From update of attachment 163865 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=163865&action=review

> Source/WebCore/platform/qt/UserAgentQt.cpp:74
> +#ifdef Q_WS_MAC
> +            "Macintosh; "
> +#elif defined Q_WS_QWS
> +            "QtEmbedded; "
> +#elif defined Q_WS_WIN
> +            // Nothing.
> +#elif defined Q_WS_X11
> +            "X11; "
> +#else
> +            "Unknown; "
> +#endif

As a side-note, those Q_WS_* defines don't work anymore :)

> Source/WebCore/platform/qt/UserAgentQt.cpp:155
> +#ifdef Q_OS_AIX
> +            "AIX"
> +#elif defined Q_OS_WIN32
> +            windowsVersionForUAString()
> +#elif defined Q_OS_DARWIN
> +#ifdef __i386__ || __x86_64__
> +            "Intel Mac OS X"
> +#else
> +            "PPC Mac OS X"
> +#endif
> +
> +#elif defined Q_OS_BSDI
> +            "BSD"
> +#elif defined Q_OS_BSD4
> +            "BSD Four"
> +#elif defined Q_OS_CYGWIN
> +            "Cygwin"
> +#elif defined Q_OS_DGUX
> +            "DG/UX"
> +#elif defined Q_OS_DYNIX
> +            "DYNIX/ptx"
> +#elif defined Q_OS_FREEBSD
> +            "FreeBSD"
> +#elif defined Q_OS_HPUX
> +            "HP-UX"
> +#elif defined Q_OS_HURD
> +            "GNU Hurd"
> +#elif defined Q_OS_IRIX
> +            "SGI Irix"
> +#elif defined Q_OS_LINUX
> +
> +#if defined(__x86_64__)
> +            "Linux x86_64"
> +#elif defined(__i386__)
> +            "Linux i686"
> +#else
> +            "Linux"
> +#endif
> +
> +#elif defined Q_OS_LYNX
> +            "LynxOS"
> +#elif defined Q_OS_NETBSD
> +            "NetBSD"
> +#elif defined Q_OS_OS2
> +            "OS/2"
> +#elif defined Q_OS_OPENBSD
> +            "OpenBSD"
> +#elif defined Q_OS_OS2EMX
> +            "OS/2"
> +#elif defined Q_OS_OSF
> +            "HP Tru64 UNIX"
> +#elif defined Q_OS_QNX6
> +            "QNX RTP Six"
> +#elif defined Q_OS_QNX
> +            "QNX"
> +#elif defined Q_OS_RELIANT
> +            "Reliant UNIX"
> +#elif defined Q_OS_SCO
> +            "SCO OpenServer"
> +#elif defined Q_OS_SOLARIS
> +            "Sun Solaris"
> +#elif defined Q_OS_ULTRIX
> +            "DEC Ultrix"
> +#elif defined Q_OS_UNIX
> +            "UNIX BSD/SYSV system"
> +#elif defined Q_OS_UNIXWARE
> +            "UnixWare Seven, Open UNIX Eight"
> +#else
> +            "Unknown"
> +#endif

We can also probably clean up this list, some of those OSes are definitely not supported anymore by Qt.

> Source/WebCore/platform/qt/UserAgentQt.cpp:161
> +        QString version = QString(QLatin1String("%1.%2")).arg(QString::number(webkitMajorVersion),
> +                                                               QString::number(webkitMinorVersion));

This is also worth cleaing up in a separate patch, maybe using StringBuilder instead of QString(QLatin1String()).arg() just to insert a dot between two QStrings :)
------- Comment #17 From 2012-09-13 09:07:31 PST -------
(From update of attachment 163865 [details])
Clearing flags on attachment: 163865

Committed r128472: <http://trac.webkit.org/changeset/128472>
------- Comment #18 From 2012-09-13 09:07:39 PST -------
All reviewed patches have been landed.  Closing bug.